#!/bin/bash
# Volker Fröhlich, 2013

set -xe

VERSION="7.6.1"

# wget https://sourceforge.net/projects/saga-gis/files/SAGA%20-%207/SAGA%20-%20$VERSION/saga-$VERSION.tar.gz

rm -rf saga-$VERSION-fedora
rm -rf saga-$VERSION-fedora.tar.gz

tar xf saga-$VERSION.tar.gz
cp -pr saga-$VERSION saga-$VERSION-fedora

# Remove firelib, which is not allowed for commercial use
# http://www.fire.org/downloads/fireLib/1.0.4/doc.html#8.3
# http://sourceforge.net/tracker/?func=detail&aid=3407448&group_id=102728&atid=632652
find saga-$VERSION-fedora/src/tools/simulation/sim_fire_spreading/ -type f -not -name 'Makefile*' -delete

# Sanitize line endings
find saga-$VERSION-fedora \( -name '*.c' -or -name '*.h' \) -exec sed -i 's/\r//' {} \;

tar cfz saga_$VERSION-fedora.tar.gz saga-$VERSION-fedora
